import { jsx } from "react/jsx-runtime";
import { LayoutIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Layout = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "Layout", ...props, children: /* @__PURE__ */ jsx(LayoutIcon, { weight: variant }) });
  }
);
Layout.displayName = "Layout";
Object.assign(Layout, { isGdsIcon: true });
export {
  Layout
};
